import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

typedef AdsIsFinish = void Function();

typedef AdsTick = void Function(num);

class AdsNativeView extends StatefulWidget {
  final AdsIsFinish asdIsFinish;
  final AdsTick adsTick;

  const AdsNativeView({Key key, this.asdIsFinish, this.adsTick})
      : super(key: key);

  @override
  _AdsNativeViewState createState() => _AdsNativeViewState();
}

class _AdsNativeViewState extends State<AdsNativeView> {
  @override
  void initState() {
    super.initState();
  }

  @override
  void dispose() {
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    if (defaultTargetPlatform == TargetPlatform.android) {
      return AndroidView(viewType: 'plugins.nova.ads/nativeview');
    } else {
      return Text(
          '$defaultTargetPlatform is not yet supported by the text_view plugin');
    }
  }
}
