import 'dart:async';
import 'dart:io';

import 'package:flutter/services.dart';

typedef RewardResult = void Function(bool result);

class FlutterAds {
  static const MethodChannel _channel = const MethodChannel('flutter_ads');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static const BasicMessageChannel<dynamic> rewardMessageChannel =
      const BasicMessageChannel('plugins.nova.ads.event/reward', StringCodec());

  static void initRewardVideo(
      {String appKey,
      String codeId,
      String userId,
      String appid,//ios appid
      String placementID, // ios placementID
      int orientation = 0,
      String rewardName = "金币",
      String rewardAmount = "3",
      String mediaExtra = "media_extra",
      RewardResult callback})  {


    var params;
    if(Platform.isIOS){
       params = {
        "appid":appid,
        "placementID":placementID
      };
    }else if(Platform.isAndroid){
      params = {
        "appKey": appKey,
        "codeId": codeId,
        "userId": userId,
        "orientation": orientation == 0 ? "V" : "H",
        "rewardName": rewardName,
        "rewardAmount": rewardAmount,
        "mediaExtra": mediaExtra,
      };
    }

    _channel.invokeMethod('initRewardVideo', params);
    rewardMessageChannel.setMessageHandler((value) {
      if (value == "finish") {
        callback(true);
        return;
      } else {
        callback(false);
        return;
      }
    });
  }
}
